VERSION 5.00
Begin VB.Form Form1 
   AutoRedraw      =   -1  'True
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Alphablending dla VBTools"
   ClientHeight    =   5370
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   7500
   Icon            =   "Form1.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   Picture         =   "Form1.frx":0442
   ScaleHeight     =   358
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   500
   StartUpPosition =   2  'CenterScreen
   Begin VB.PictureBox Picture1 
      AutoRedraw      =   -1  'True
      AutoSize        =   -1  'True
      BorderStyle     =   0  'None
      Height          =   2700
      Left            =   4695
      Picture         =   "Form1.frx":78088
      ScaleHeight     =   180
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   180
      TabIndex        =   0
      Top             =   2115
      Visible         =   0   'False
      Width           =   2700
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      BackStyle       =   0  'Transparent
      Caption         =   "Biblioteka alphablending.dll pozwala nam na okrelenie stopnia przeroczystoci wybranego obrazu z zakresu 0 - 255. "
      Height          =   435
      Left            =   15
      TabIndex        =   1
      Top             =   4950
      Width           =   7440
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' *********************************************************
' **                EFEKT ALPHABLENDING                  **
' *********************************************************
' **     Uzyskiwanie pprzeroczystoci za pomoc       **
' **           biblioteki alphablending.dll              **
' *********************************************************
' ** Dane programu:                                      **
' **                                                     **
' ** Nazwa pliku: alpha_dll.zip                          **
' ** Utworzono: 15.01.2001                               **
' ** Autor: MacPiter                                     **
' ** email: macpiter@kki.net.pl                          **
' ** www:   http://www.vbtools.prv.pl                    **
' *********************************************************
' ** Celem przykadu jest ukazanie jak w bardzo atwy    **
' ** sposb mona nada rysunkowi okrelony stopie      **
' ** przeroczystoci. Przykad wykorzystuje funkcj     **
' ** AlphaBlending z biblioteki alphablending.dll.       **
' ** Naley pamita, e biblioteka ta wspdziaa z     **
' ** bibliotek msimg32.dll, ktra musi znajdowa si w  **
' ** katalogu WINDOWS/SYSTEM. Biblioteka msimg32.dll     **
' ** doczona jest do biecego przykadu.              **
' *********************************************************

'-------------------------------------------------------------
' Jeli tu jeste to si ciesz e mog komu pomc.
' Mam nadzieje e poniszy przykad bdzie bardzo pomocny.
' ycz miego testowania.

' Program nie posiada z zamierzenia adnych funkcji destrukcyjnych,
' lecz prawdopodobnie nie jest wolny od bdw. Za szkody powstae
' w wyniku uytkowania tego programu autor nie odpowiada!
'-------------------------------------------------------------

'>> Przykad zosta napisany dla serwisu VBTools (www.vbtools.prv.pl)
'>> w celach edukacyjnych. Jakiekolwiek inne rozpowszechnianie
'>> bez zgody autora jest amaniem zasad praw autorskich.

'-------------------------------------------------------------

' >---- Kod programu ----<

Option Explicit 'wymuszenie deklaracji zmiennych

'funkcja odpowiadajca za nadawanie przeroczystoci (poniej opis)
Private Declare Function AlphaBlending Lib "Alphablending.dll" _
          (ByVal destHDC As Long, ByVal XDest As Long, ByVal YDest As Long, _
           ByVal destWidth As Long, ByVal destHeight As Long, ByVal srcHDC As Long, _
           ByVal XSrc As Long, ByVal YSrc As Long, ByVal srcWidth As Long, ByVal srcHeight As Long, ByVal AlphaSource As Long) As Long
'destHDC - docelowy kontekst urzdzenia (np. Form1.hdc)
'XDest - docelowa pozycja x
'YDest - docelowa pozycja y
'destWidth - szeroko obszaru docelowego
'destHeight - wysoko obszaru docelowego
'srcHDC - rdowy kontekst urzdzenia (np. Picture1.hdc)
'XSrc - pozycja x obrazu rdowego
'YSrc - pozycja y obrazu rdowego
'srcWidth - szeroko obrazu rdowego
'srcHeight - wysoko obszaru rdowego
'AlphaSource - stopie przeroczystoci obrazka rdowego 0-255

Private Sub Form_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)

'musimy czyci form aby nie pozostawa stary obraz (lad)
'gdy byby obraz statyczny nie trzeba tego robi, ale tu
'obraz porusza si wic jest kopiowany co chwil w nowe
'miejsce i trzeba skasowa stary
Me.Cls

'wywoujemy funkcj okrelajc wszystkie parametry - tutaj
'kopiujemy cay obraz rdowy, a nie wybrany fragment
'(fragment wybieramy odpowiednio okrelajc argumenty XSrc i YSrc,
'(jedank czasem mog wystpi jakie dziwne efekty)
AlphaBlending Me.hDC, X, Y, Picture1.ScaleWidth, Picture1.ScaleHeight, Picture1.hDC, 0, 0, Picture1.ScaleWidth, Picture1.ScaleHeight, 100 '<< 100 = stopie przeroczystoci

'musimy te odwierza form aby efekt dziaa poprawnie
Me.Refresh

End Sub
